## org.eclipse.datatools.modelbase.sql.constraints.provider
Class SQLConstraintsItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsAdapterFactory
              org.eclipse.datatools.modelbase.sql.constraints.provider.SQLConstraintsItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

    public class SQLConstraintsItemProviderAdapterFactory

extends SQLConstraintsAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLConstraintsItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createAssertionAdapter()` This creates an adapter for a `Assertion`.
`org.eclipse.emf.common.notify.Adapter` `createCheckConstraintAdapter()` This creates an adapter for a `CheckConstraint`.
`org.eclipse.emf.common.notify.Adapter` `createForeignKeyAdapter()` This creates an adapter for a `ForeignKey`.
`org.eclipse.emf.common.notify.Adapter` `createIndexAdapter()` This creates an adapter for a `Index`.
`org.eclipse.emf.common.notify.Adapter` `createIndexMemberAdapter()` This creates an adapter for a `IndexMember`.
`org.eclipse.emf.common.notify.Adapter` `createPrimaryKeyAdapter()` This creates an adapter for a `PrimaryKey`.
`org.eclipse.emf.common.notify.Adapter` `createUniqueConstraintAdapter()` This creates an adapter for a `UniqueConstraint`.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsAdapterFactory
`createAdapter, createConstraintAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createReferenceConstraintAdapter, createSQLObjectAdapter, createTableConstraintAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SQLConstraintsItemProviderAdapterFactory

    public SQLConstraintsItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createAssertionAdapter

    public org.eclipse.emf.common.notify.Adapter createAssertionAdapter()

  This creates an adapter for a `Assertion`.

  Overrides:
    `createAssertionAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Assertion`

### createCheckConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createCheckConstraintAdapter()

  This creates an adapter for a `CheckConstraint`.

  Overrides:
    `createCheckConstraintAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CheckConstraint`

### createForeignKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createForeignKeyAdapter()

  This creates an adapter for a `ForeignKey`.

  Overrides:
    `createForeignKeyAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ForeignKey`

### createUniqueConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createUniqueConstraintAdapter()

  This creates an adapter for a `UniqueConstraint`.

  Overrides:
    `createUniqueConstraintAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UniqueConstraint`

### createPrimaryKeyAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimaryKeyAdapter()

  This creates an adapter for a `PrimaryKey`.

  Overrides:
    `createPrimaryKeyAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PrimaryKey`

### createIndexAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexAdapter()

  This creates an adapter for a `Index`.

  Overrides:
    `createIndexAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Index`

### createIndexMemberAdapter

    public org.eclipse.emf.common.notify.Adapter createIndexMemberAdapter()

  This creates an adapter for a `IndexMember`.

  Overrides:
    `createIndexMemberAdapter` in class `SQLConstraintsAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IndexMember`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SQLConstraintsAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`